Encrypt API for Creating Service Request

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Create Service Request API

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/hexappiuat/api/v2/payuppi/api/v2/encrypt \
     --header 'content-type: application/json' \
     --header 'x-api-key: fa1a80ba52d4e55434' \
     --data '
{
  "txnDateTime": "20240408101000",
  "urn": "10000661",
  "requestorEmail": "[email protected]",
  "transactionId": "1023",
  "txnAmount": "2000",
  "disputeReasonId": "2",
  "merchantName": "Kee",
  "requestSource": "CSR",
  "createdBy": "admin",
  "disputeComment": "Testing"
}
'
Sample response
{
  "token": "e3ln1sSCTF9rgy9AjN5QNAkJruloChEdm7C39FVnfczb5gfIGv/Vg6iSM0ZmzgSwF64Z7yRQ8C+jmDZEUC2rmuM9CCqk5qMQD/AUI7IrXMnSZFV1rEhbGRMJVg0MGxbAa+7+N+Ea1HZk72TlSxUbZsSeRHedWZ+3GsiqU42TRYwQNl5crWPKxtpXRpv9LudcLo56rL5xtHGrNyIzown1d2ah3Lvo4LAQg+6gEyopi+qt6Fl11MJINPAA50OZ5bUkKz8IZq4lTVEMiF7t4BaSpXjv0/FLDG2C4vGtzqU10lyWd2KC+/SZjIpVLQuP7iIk"
}

Request parameters

Body Params
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string

This parameter must contain the transaction date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string

This parameter must contain the customer Unique reference number.

string
required

This parameter must contain the registered email ID of the cardholder for sending alerts on the service request status.

string
required

This parameter must contain the transaction ID.

string
required

This parameter must contain the transaction amount.

string
required

This parameter must contain the dispute reason ID.

string

This parameter must contain the merchant name.

string
required

This parameter must contain any of the following: "CUSTOMER" for customer request raised externally. "CSR" for customer service request.

string

This parameter must contain the who created the service request.

string
required

This parameter must contain the dispute comment.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!